Changelog
=========


v1.1.1 (2023-10-04)
-------------------

Bug fixes
~~~~~~~~~
- Removed code specific to enercompil tool [Benjamin PIERRE]

Documentation
~~~~~~~~~~~~~
- Update changelog [Benjamin PIERRE]


v1.1.0 (2023-10-04)
-------------------

Features
~~~~~~~~
- Handle token refresh on invoice download + improve error raising
  [Benjamin PIERRE]
- Don't call cozy stub client files check for files that already exists
  on file system (with a direct check on the fs) [Benjamin PIERRE]
- Prevent any potential timeout on SaveBills call + Improve error
  throwing messages when invoices download fails [Benjamin PIERRE]
- Raised FILE_DOWNLOAD_FAILED debug infos [Benjamin PIERRE]
- Allow fields values to be overrided [Benjamin PIERRE]

Bug fixes
~~~~~~~~~
- Removed enercompil branch specificity [Benjamin PIERRE]

Documentation
~~~~~~~~~~~~~
- Update changelog [Benjamin PIERRE]


v1.0.0 (2023-08-09)
-------------------

Features
~~~~~~~~
- New version of total connector, handling 2023 version of intranet
  [Benjamin PIERRE]

Documentation
~~~~~~~~~~~~~
- Update changelog [Benjamin PIERRE]

Maintenance
~~~~~~~~~~~
- Update author in package.json [Benjamin PIERRE]


v0.0.2 (2022-02-10)
-------------------

Documentation
~~~~~~~~~~~~~
- Update changelog [Benjamin PIERRE]

Maintenance
~~~~~~~~~~~
- Update dev dependencies versions [Benjamin PIERRE]
- Reformat index.js after lint [Benjamin PIERRE]
- MAINT: Fix lint problems dues to babel-eslint old version : -
  https://github.com/eslint/eslint/issues/12117 -
  https://yarnpkg.com/cli/set/resolution - yarn set resolution babel-
  eslint@npm:10.0.1 ^10.1.0 [Benjamin PIERRE]
- Begin to configure CI [Benjamin PIERRE]


v0.0.1 (2022-02-10)
-------------------

Features
~~~~~~~~
- Rewrite connector to have a more efficient version, allowing it to be
  run with input configurable parameters [Benjamin PIERRE]

Bug fixes
~~~~~~~~~
- Invalid account permissions with signin function [Benjamin PIERRE]
- Invalid manifest.konnector file [Benjamin PIERRE]

Maintenance
~~~~~~~~~~~
- Configure bumpversion [Benjamin PIERRE]
- Switch to node v16 and yarn v3 [Benjamin PIERRE]
- Remove unused bin folder [Benjamin PIERRE]
- Update logo [Benjamin PIERRE]
- Update all config files with konnector specificities [Benjamin PIERRE]
- Rebuild dependencies [Benjamin PIERRE]
- Remove unused file zombie.js [Benjamin PIERRE]

Other
~~~~~
- Initial commit of initial version [Benjamin PIERRE]




.. Generated by gitchangelog
